# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetXformInfo

Function

Extracts information from a Transform Object.

Syntax
`
#include <dx/dx.h>
`

Xform DXGetXformInfo(Xform x, Object *o, Matrix *m)

Functional Details

Extracts the Object being transformed and the transformation matrix from a Transform Object `x`. If `o` is not `NULL`, then the Object being transformed by the transformation contained in `t` is returned in `o`. Similarly, if `m` is not `NULL`, then the transformation contained in `t` is returned in `m`.

Return Value

Returns `t` or returns `NULL` and sets an error code if `t` is not a Transform.

See Also

`DXNewXform, DXSetXformObject`

16.4 , "Xform Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]